<NODE name="SET_INFO" isStart="true" type="SetProviderInfo">
	<DESCRIPTION>Set information about current provider</DESCRIPTION>
	<PARAMETERS>
		<PARAM required="true" type="string" name="providerId" managedBy="system">$params.("dataprovider:id")$</PARAM>
		<PARAM required="true" type="string" name="providerName" managedBy="system">$params.("dataprovider:name")$</PARAM>
		<PARAM required="true" type="string" name="api" managedBy="system">$params.("dataprovider:interface")$</PARAM>
	</PARAMETERS>
	<ARCS>
		<ARC to="DeleteMetaWorkflow"/>
	</ARCS>
</NODE>

<NODE name="DeleteMetaWorkflow" type="DeleteOpenaireMetaWf">
	<DESCRIPTION>Delete the MetaWorkflow</DESCRIPTION>
	<PARAMETERS>
		<PARAM required="true" type="string" name="metaWfId" managedBy="system">$params.("META_WORKFLOW_ID")$</PARAM>
	</PARAMETERS>
	<ARCS>
		<ARC to="DeleteMDStoreNative"/>
	</ARCS>
</NODE>

<NODE name="DeleteMDStoreNative" type="DeleteMDStore">
	<DESCRIPTION>Delete the native mdstore</DESCRIPTION>
	<PARAMETERS>
		<PARAM required="true" type="string" name="mdstoreId" managedBy="system" category="MDSTORE_ID">$params.("harv_id")$</PARAM>
	</PARAMETERS>
	<ARCS>
		<ARC to="DeleteMDStoreDatacite"/>
		<ARC to="DeleteMDStorePublication"/>
	</ARCS>
</NODE>

<NODE name="DeleteMDStoreDatacite" type="DeleteMDStore">
	<DESCRIPTION>Delete the IMEF mdstore</DESCRIPTION>
	<PARAMETERS>
		<PARAM required="true" type="string" name="mdstoreId" managedBy="system" category="MDSTORE_ID">$params.("tranODF_id")$</PARAM>
	</PARAMETERS>
	<ARCS>
		<ARC to="RemoveApiExtraFields"/>
	</ARCS>
</NODE>

<NODE name="DeleteMDStorePublication" type="DeleteMDStore">
	<DESCRIPTION>Delete the IMEF mdstore</DESCRIPTION>
	<PARAMETERS>
		<PARAM required="true" type="string" name="mdstoreId" managedBy="system" category="MDSTORE_ID">$params.("tranOAF_id")$</PARAM>
	</PARAMETERS>
	<ARCS>
		<ARC to="RemoveApiExtraFields"/>
	</ARCS>
</NODE>

<NODE name="RemoveApiExtraFields" type="RemoveApiExtraFields" isJoin="true">
	<DESCRIPTION>Reset the extrafields of the api</DESCRIPTION>
	<PARAMETERS>
		<PARAM required="true" type="string" name="datasourceId" managedBy="system">$params.("dataprovider:id")$</PARAM>
		<PARAM required="true" type="string" name="datasourceInterface" managedBy="system">$params.("dataprovider:interface")$</PARAM>
		<PARAM required="true" type="string" name="fields" managedBy="system">last_collection_total, last_collection_date, last_collection_mdId, last_aggregation_total, last_aggregation_date, last_aggregation_mdId</PARAM>
	</PARAMETERS>
	<ARCS>
		<ARC to="success"/>
	</ARCS>
</NODE>
